Errors on plugin development setup

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Errors on plugin development setup

Jean-Karlo Accetta
I'm trying to start development of a Jenkins plugin but I can't seem to get it started.  I've tried following several of the tutorials on the Jenkins pages but the HPI ones end up with the console saying its deprecated and that I should use the archetypes.  Those, in turn, end up giving me an error about the maven-enforcer-plugin.  Here is the output when running "mvn package" on a project created the empty-plugin archetype:

[INFO] Scanning for projects...
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building TODO Plugin 1.0-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-hpi-plugin:2.1:validate (default-validate) @ sample ---
[INFO]
[INFO] --- maven-enforcer-plugin:3.0.0-M1:display-info (display-info) @ sample ---
[INFO] Maven Version: 3.5.2
[INFO] JDK Version: 9.0.1 normalized as: 9.0.1
[INFO] OS Info: Arch: x86_64 Family: mac Name: mac os x Version: 10.13.2
[INFO]
[INFO] --- maven-enforcer-plugin:3.0.0-M1:enforce (display-info) @ sample ---
[INFO] Restricted to JDK 1.7 yet org.kohsuke.stapler:stapler-jrebel:jar:1.253:provided contains org/kohsuke/stapler/JRebelFacet$ReloaderHook$1.class targeted to JDK 1.8
[INFO] Restricted to JDK 1.7 yet org.kohsuke.stapler:stapler-groovy:jar:1.253:provided contains org/kohsuke/stapler/jelly/groovy/Namespace.class targeted to JDK 1.8
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 3.200 s
[INFO] Finished at: 2017-12-28T12:21:11-05:00
[INFO] Final Memory: 54M/180M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-enforcer-plugin:3.0.0-M1:enforce (display-info) on project sample: Execution display-info of goal org.apache.maven.plugins:maven-enforcer-plugin:3.0.0-M1:enforce failed.: NullPointerException -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginExecutionException 


I have looked online all day since yesterday and haven't found any helpful information on how to fix this issue or how to at least work around it.  I have tried setting the JAVA_HOME variable to both JDK 9.0.1 and JDK 1.8.0_152, while using Maven v3.5.2 and v3.5.0.

Any help would be greatly appreciated; thanks in advance.

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/21f2b298-44ff-456d-9ef5-64822739be14%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Errors on plugin development setup

kinow
I was having the same problem yesterday. I believe some of my local maven repo artefacts were corrupted.

Deleting the .m2/repository folder and re-running mvn clean package fixed it.

Hope that helps
Bruno


On Fri, 29 Dec 2017 at 6:31, Jean-Karlo Accetta
I'm trying to start development of a Jenkins plugin but I can't seem to get it started.  I've tried following several of the tutorials on the Jenkins pages but the HPI ones end up with the console saying its deprecated and that I should use the archetypes.  Those, in turn, end up giving me an error about the maven-enforcer-plugin.  Here is the output when running "mvn package" on a project created the empty-plugin archetype:

[INFO] Scanning for projects...
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building TODO Plugin 1.0-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-hpi-plugin:2.1:validate (default-validate) @ sample ---
[INFO]
[INFO] --- maven-enforcer-plugin:3.0.0-M1:display-info (display-info) @ sample ---
[INFO] Maven Version: 3.5.2
[INFO] JDK Version: 9.0.1 normalized as: 9.0.1
[INFO] OS Info: Arch: x86_64 Family: mac Name: mac os x Version: 10.13.2
[INFO]
[INFO] --- maven-enforcer-plugin:3.0.0-M1:enforce (display-info) @ sample ---
[INFO] Restricted to JDK 1.7 yet org.kohsuke.stapler:stapler-jrebel:jar:1.253:provided contains org/kohsuke/stapler/JRebelFacet$ReloaderHook$1.class targeted to JDK 1.8
[INFO] Restricted to JDK 1.7 yet org.kohsuke.stapler:stapler-groovy:jar:1.253:provided contains org/kohsuke/stapler/jelly/groovy/Namespace.class targeted to JDK 1.8
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 3.200 s
[INFO] Finished at: 2017-12-28T12:21:11-05:00
[INFO] Final Memory: 54M/180M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-enforcer-plugin:3.0.0-M1:enforce (display-info) on project sample: Execution display-info of goal org.apache.maven.plugins:maven-enforcer-plugin:3.0.0-M1:enforce failed.: NullPointerException -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginExecutionException 


I have looked online all day since yesterday and haven't found any helpful information on how to fix this issue or how to at least work around it.  I have tried setting the JAVA_HOME variable to both JDK 9.0.1 and JDK 1.8.0_152, while using Maven v3.5.2 and v3.5.0.

Any help would be greatly appreciated; thanks in advance.

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/21f2b298-44ff-456d-9ef5-64822739be14%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/1628811334.6136486.1514492052748%40mail.yahoo.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Errors on plugin development setup

Jean-Karlo Accetta
That fixed it! Thanks!!!

On Thursday, December 28, 2017 at 3:18:21 PM UTC-5, kinow wrote:
I was having the same problem yesterday. I believe some of my local maven repo artefacts were corrupted.

Deleting the .m2/repository folder and re-running mvn clean package fixed it.

Hope that helps
Bruno

<a href="https://overview.mail.yahoo.com/mobile/?.src=Android" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Foverview.mail.yahoo.com%2Fmobile%2F%3F.src%3DAndroid\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNG66PSiL9C1fhQuTRLItk9-HuVGZQ&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Foverview.mail.yahoo.com%2Fmobile%2F%3F.src%3DAndroid\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNG66PSiL9C1fhQuTRLItk9-HuVGZQ&#39;;return true;">Sent from Yahoo Mail on Android

On Fri, 29 Dec 2017 at 6:31, Jean-Karlo Accetta
<<a href="javascript:" target="_blank" gdf-obfuscated-mailto="BAYdDYWLDwAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">jeankarl...@...> wrote:
I'm trying to start development of a Jenkins plugin but I can't seem to get it started.  I've tried following several of the tutorials on the Jenkins pages but the HPI ones end up with the console saying its deprecated and that I should use the archetypes.  Those, in turn, end up giving me an error about the maven-enforcer-plugin.  Here is the output when running "mvn package" on a project created the empty-plugin archetype:

[INFO] Scanning for projects...
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building TODO Plugin 1.0-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-hpi-plugin:2.1:validate (default-validate) @ sample ---
[INFO]
[INFO] --- maven-enforcer-plugin:3.0.0-M1:display-info (display-info) @ sample ---
[INFO] Maven Version: 3.5.2
[INFO] JDK Version: 9.0.1 normalized as: 9.0.1
[INFO] OS Info: Arch: x86_64 Family: mac Name: mac os x Version: 10.13.2
[INFO]
[INFO] --- maven-enforcer-plugin:3.0.0-M1:enforce (display-info) @ sample ---
[INFO] Restricted to JDK 1.7 yet org.kohsuke.stapler:stapler-jrebel:jar:1.253:provided contains org/kohsuke/stapler/JRebelFacet$ReloaderHook$1.class targeted to JDK 1.8
[INFO] Restricted to JDK 1.7 yet org.kohsuke.stapler:stapler-groovy:jar:1.253:provided contains org/kohsuke/stapler/jelly/groovy/Namespace.class targeted to JDK 1.8
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 3.200 s
[INFO] Finished at: 2017-12-28T12:21:11-05:00
[INFO] Final Memory: 54M/180M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-enforcer-plugin:3.0.0-M1:enforce (display-info) on project sample: Execution display-info of goal org.apache.maven.plugins:maven-enforcer-plugin:3.0.0-M1:enforce failed.: NullPointerException -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] <a rel="nofollow" href="http://cwiki.apache.org/confluence/display/MAVEN/PluginExecutionException" target="_blank" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fcwiki.apache.org%2Fconfluence%2Fdisplay%2FMAVEN%2FPluginExecutionException\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGMdo0FgJibmNU8Z0IANDLAA0B6Bg&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fcwiki.apache.org%2Fconfluence%2Fdisplay%2FMAVEN%2FPluginExecutionException\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGMdo0FgJibmNU8Z0IANDLAA0B6Bg&#39;;return true;">http://cwiki.apache.org/confluence/display/MAVEN/PluginExecutionException 


I have looked online all day since yesterday and haven't found any helpful information on how to fix this issue or how to at least work around it.  I have tried setting the JAVA_HOME variable to both JDK 9.0.1 and JDK 1.8.0_152, while using Maven v3.5.2 and v3.5.0.

Any help would be greatly appreciated; thanks in advance.

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to <a rel="nofollow" href="javascript:" target="_blank" gdf-obfuscated-mailto="BAYdDYWLDwAJ" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">jenkinsci-de...@googlegroups.com.
To view this discussion on the web visit <a rel="nofollow" href="https://groups.google.com/d/msgid/jenkinsci-dev/21f2b298-44ff-456d-9ef5-64822739be14%40googlegroups.com?utm_medium=email&amp;utm_source=footer" target="_blank" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/jenkinsci-dev/21f2b298-44ff-456d-9ef5-64822739be14%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/jenkinsci-dev/21f2b298-44ff-456d-9ef5-64822739be14%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;">https://groups.google.com/d/msgid/jenkinsci-dev/21f2b298-44ff-456d-9ef5-64822739be14%40googlegroups.com.
For more options, visit <a rel="nofollow" href="https://groups.google.com/d/optout" target="_blank" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/daace2e8-e010-4430-901e-3c5794106810%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.